/* funktion.c
 * erstellt: Mon Nov 22 17:44:10 CET 1999
 * Autoren:  Mirko Belickin und Joachim Wagner
 */

#include "funktion.h"
#include <stdio.h>
#include <math.h>

#ifndef PI
  #define PI 3.14159265
#endif

double f1(double x);
double f3(double x);
double f4(double x);

funktionsbeispiel funktion[] = {
   {f1,  -PI,  PI, "Sinus auf [-pi,pi]"    },
   {f1,   -9,   9, "Sinus auf [-9,9]"      },
   {f3, -0.3, 0.3, "Betrag auf [-0.3,0.3]" },
   {f4,   -9,   9, "Ableitung zu arctan auf [-9,9]" }
};

const int funktion_anzahl = sizeof(funktion)/sizeof(funktion[0]);


double f1(double x)
{
  return sin(x);
}

double f3(double x)
{
  return fabs(x);
}

double f4(double x)
{
  return 1.0 / (1.0+x*x);
}
