/* namen.h
 * erstellt:  Die Okt 26 16:19:37 CEST 1999
 * erweitert: Fre Nov 19 16:14:13 CET 1999
 * Autor: Mirko Belickin und Joachim Wagner
 */

#ifndef __NAMEN_H
#define __NAMEN_H


/* Konstanten fuer die Klassenzugehoerigkeit der Objekte */

#define MATRIX       0
#define NM_MATRIX    1
#define BAND_MATRIX  2
#define A06__MATRIX  3
#define INTERPOLATION        4
#define NEWTON_INTERPOLATION 5
#define MAX_KENNUNG 5

/* Namen fuer die Objekte */
/* erstes Zeichen sollte den Typ eindeutig kennzeichnen */

#define S_MATRIX      "MATRIX"
#define S_NM_MATRIX   "NM_MATRIX"
#define S_BAND_MATRIX "BAND_MATRIX"
#define S_A06__MATRIX "A06__MATRIX"
#define S_INTERPOLATION        "INTERPOLATION"
#define S_NEWTON_INTERPOLATION "NEWTON_INTERPOLATION"

#endif

